Bug 815945 - [abrt] kdevelop-4.3.0-1.fc16: _IO_default_xsputn: Process /usr/bin/kdevelop was killed by signal 11 (SIGSEGV)
[abrt] kdevelop-4.3.0-1.fc16: _IO_default_xsputn: Process /usr/bin/kdevelop w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:b2b3b552738d1372a76966e6764...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 16:45 EDT by redhat
Modified: 2013-02-13 18:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:33:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (30.63 KB, text/plain)
2012-04-24 16:46 EDT, redhat
no flags Details
File: build_ids (11.13 KB, text/plain)
2012-04-24 16:46 EDT, redhat
no flags Details
File: maps (133.38 KB, text/plain)
2012-04-24 16:46 EDT, redhat
no flags Details
File: backtrace (220.67 KB, text/plain)
2012-04-24 16:46 EDT, redhat
no flags Details

  None (edit)
Description redhat 2012-04-24 16:45:55 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/kdevelop -session 102d43612fc28a000133528502600000017850104_1335285749_549345 -s {4e5fbd2e-960a-4656-a07f-7dd1d8688bc9}
comment:        kdevelop was looking for functions derived from pure vertual functions
crash_function: _IO_default_xsputn
executable:     /usr/bin/kdevelop
kernel:         3.3.2-1.fc16.x86_64
pid:            2346
pwd:            /home2/ian/Documents
reason:         Process /usr/bin/kdevelop was killed by signal 11 (SIGSEGV)
time:           Tue 24 Apr 2012 20:07:10 BST
uid:            1000
username:       ian
var_log_messages: Apr 24 20:07:20 Windows abrt[2868]: Saved core dump of pid 2346 (/usr/bin/kdevelop) to /var/spool/abrt/ccpp-2012-04-24-20:07:10-2346 (1299804160 bytes)

backtrace:      Text file, 225968 bytes
build_ids:      Text file, 11398 bytes
dso_list:       Text file, 31369 bytes
maps:           Text file, 136584 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1750
:XDG_SESSION_ID=2
:HOSTNAME=Windows.intranet.ormshaw.co.uk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=b372aadab9c7888e6e3773da00000010-1335294160.298752-1980041861
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home2/ian/.gtkrc-2.0:/home2/ian/.gtkrc-2.0-kde4:/home2/ian/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-PI11zf
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=ian
:SSH_AUTH_SOCK=/tmp/ssh-SoMcDYWd1623/agent.1623
:USERNAME=ian
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=kde-plasma-safe
:MAIL=/var/spool/mail/ian
:QT_IM_MODULE=xim
:PWD=/
:KWIN_COMPOSE=N
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1619
:LANG=en_GB.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=kde-plasma-safe
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home2/ian
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:KDE_FAILSAFE=1
:LOGNAME=ian
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2PMexxrk3z,guid=f6e832e08ef8207941ebf11400000040
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ian
:DISPLAY=:0
:QT_PLUGIN_PATH=/home2/ian/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-ian/xauth-1000-_0
:CCACHE_HASHDIR=
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1822,unix/unix:/tmp/.ICE-unix/1822
:GTK_RC_FILES=/etc/gtk/gtkrc:/home2/ian/.gtkrc:/home2/ian/.kde/share/config/gtkrc
:XCURSOR_THEME=default

smolt_data:
:
:
:General
:=================================
:UUID: 1eecf0b8-7b84-4862-b04d-c1e089eead0d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 6000.39
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 3.00GHz
:CPU Stepping: 4
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 4962
:System Swap: 7007
:Vendor: Gigabyte Technology Co., Ltd.
:System: EP45-UD3LR 
:Form factor: Desktop
:Kernel: 3.3.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11808:5208:20480) pci, None, HOST/PCI, GA-EP45-DS5 Motherboard
:(32902:11809:5208:20480) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:14896:5208:20481) pci, i801_smbus, SERIAL, GA-EP45-DS5 Motherboard
:(32902:14880:5208:45058) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 4 port SATA IDE Controller #1
:(32902:14870:5208:20481) pci, None, PCI/ISA, GA-EP45-DS5 Motherboard
:(32902:14886:5208:45058) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14901:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14900:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14905:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14902:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14906:5208:20486) pci, ehci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14908:5208:20486) pci, ehci_hcd, USB, GA-EP45-DS5 Motherboard
:(6523:9064:5208:45056) pci, pata_jmicron, STORAGE, JMB368 IDE controller
:(32902:14912:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14920:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14910:5208:40962) pci, snd_hda_intel, MULTIMEDIA, GA-EP45-UD3R Motherboard
:(32902:14903:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14904:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(4098:43616:5963:43616) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26840:5963:57682) pci, radeon, VIDEO, Redwood [Radeon HD 5670]
:(32902:14922:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(4254:878:113:257) pci, bttv, MULTIMEDIA_VIDEO, DigiTV PCI
:(4254:2168:113:257) pci, bt878, MULTIMEDIA, DigiTV PCI
:(5361:12032:5361:8196) pci, None, SIMPLE, Dynalink 56PMi
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_windows-lv_root / ext4 4096 4096 8844483 5326724 5238202 2220032 1907650 1907650
:/dev/sda3 /boot ext4 1024 1024 508745 409520 383920 128016 127779 127779
:/dev/mapper/vg_windows-lv_home /home ext4 524288 524288 209651 199395 190878 13631488 13494147 13494147
:
Comment 1 redhat 2012-04-24 16:46:01 EDT
Created attachment 579995 [details]
File: dso_list
Comment 2 redhat 2012-04-24 16:46:04 EDT
Created attachment 579998 [details]
File: build_ids
Comment 3 redhat 2012-04-24 16:46:09 EDT
Created attachment 580000 [details]
File: maps
Comment 4 redhat 2012-04-24 16:46:17 EDT
Created attachment 580001 [details]
File: backtrace
Comment 5 Ngo Than 2012-04-26 06:23:47 EDT
could you please attach a testcase to reproduce this crash?
thanks
Comment 6 Rex Dieter 2012-04-26 08:24:24 EDT
reassigning back to kdevelop
Comment 7 Fedora End Of Life 2013-01-16 14:59:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 18:33:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.